@import url("../css/bootstrap.css");
@import url("../css/fastadmin.css");
@import url("../css/iconfont.css");
@import url("../libs/font-awesome/css/font-awesome.min.css");
@import url("../libs/toastr/toastr.min.css");
@import url("../libs/fastadmin-layer/dist/theme/default/layer.css");
@import url("../libs/bootstrap-table/dist/bootstrap-table.min.css");
@import url("../libs/eonasdan-bootstrap-datetimepicker/build/css/bootstrap-datetimepicker.min.css");
@import url("../libs/bootstrap-daterangepicker/daterangepicker.css");
@import url("../libs/nice-validator/dist/jquery.validator.css");
@import url("../libs/bootstrap-select/dist/css/bootstrap-select.min.css");
@import url("../libs/fastadmin-selectpage/selectpage.css");
@import url("../libs/bootstrap-slider/slider.css");
@import url("../css/layout.css");

body {
    padding-top: 0;
}

.btn-primary {
    color: #fff;
    background-color: #444c69;
    border-color: #444c69;
}
.login-main{
    position: relative;
}
.login-main .input-group-lg .input-group-addon,
.login-main .input-group-lg .input-group-btn,
.login-main .input-group-lg input[name="mobile"],
.login-main .input-group-lg input[name="captcha"]{
    border-color: transparent;
    background-color: #f5f6f8;
    line-height: 1;
}
.login-main .input-group-lg .input-group-addon {
    border-radius: 100px 0 0 100px !important;
}
.login-main .input-group-lg .input-group-btn,
.login-main .input-group-lg .input-group-btn img,
.login-main .input-group-lg .input-group-btn .btn{
    border-radius: 0 100px 100px 0 !important;
}
.login-main .input-group-lg input[name="mobile"] {
    border-radius: 0 100px 100px 0 !important;
}

.page-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px;
    background: transparent;
    font-size: 16px;
    margin: 0;
}

.user-info .avatar-img{
    border: 2px solid #ffffff;
}
.user-info .avatar-img,
.user-info .avatar-img img {
    border-radius: 55px;
    width: 55px;
    height: 55px;
}

.user-ad {
    position: relative;
    /*color: #746558;
    background-image: linear-gradient(to right, #F6ECE1, #F1DAB7);*/
}
.user-ad .bx{
    color: #E8C26A;
    font-weight: 600;
    font-size: 20px;
}
.user-ad:after{
    content: '';
    position: absolute;
    left: 50%;
    bottom: -10px;
    width:  40px;
    height: 40px;
    margin-left: -20px;
    background-image: linear-gradient(to right, #F4E5D1, #F3E1C7);
    border-bottom-left-radius: 100%;
    border-bottom-right-radius: 100%;
    z-index: 0;
}

.user-account .coupon,
.user-account .wallet{
    position: relative;
    overflow: hidden;
}
.user-account .coupon:after,
.user-account .wallet:after{
    content: '';
    position: absolute;
    background-repeat: no-repeat;
    background-size: contain;
}
.user-account .coupon:after{
    background-image: url("../img/user-mycoupon.png");
    width: 60px;
    height: 52px;
    right: -5px;
    bottom: -5px;
}
.user-account .wallet:after{
    background-image: url("../img/user-wallet.png");
    width: 60px;
    height: 63px;
    right: -7px;
    bottom: -17px;
}

.user-order img,
.user-category img{
    width: 33px;
    height: 33px;
}

.skill-total {
    background: linear-gradient(180deg, #286aff, #7274f9);
    padding: 20px 10px 40px 10px;
    position: relative;
}
.skill-total::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 20px;
    border-radius: 20px 20px 0 0;
    background: #f4f6f8;
}
.skill-total > div{
    width: calc(100% / 3);
}
.skill-total .item{
    background: rgba(255,255,255,0.85);
    border-radius: 8px
}

.skill-account .number{
    color: #C45049;
}
.skill-account .deposit,
.skill-account .project,
.skill-account .balance,
.skill-account .accept{
    display: block;
    background-repeat: no-repeat;
    background-size: 45px;
    background-position: right 10px center;
}
.skill-account .deposit{
    background-color: #FCF3F4;
    background-image: url("../img/skill-1.png");
}
.skill-account .project{
    background-color: #F5F6FD;
    background-image: url("../img/skill-2.png");
}
.skill-account .balance{
    background-color: #F9F3FA;
    background-image: url("../img/skill-3.png");
}
.skill-account .accept{
    background-color: #FCF9F3;
    background-image: url("../img/skill-4.png");
}

.skill-nav a.active{
    color: #286aff;
}
.skill-nav a.active:after{
    border-color: #286aff;
}

.quantity {
    font-size: 0;
    display: inline-block;
    vertical-align: top;
}
.quantity .quantity-text {
    display: inline-block;
    text-align: center;
    font-size: 16px;
    margin: 0 10px;
    border: 0;
}
.quantity .quantity-down,
.quantity .quantity-up {
    display: inline-block;
    font-size: 18px;
    font-weight: bold;
    text-align: center;
    line-height: 1.2;
    width: 25px;
    height: 25px;
    border-radius: 50%;
}
.quantity .quantity-up{
    color: #fff;background: linear-gradient(136deg, #286aff, #4e6ef2, #7274f9, #9f66ff);
}
.quantity .quantity-down{
    color: #286aff;
    border: 1px solid #286aff;
}
.quantity .quantity-text,
.quantity .quantity-down{
    display: none;
}
.quantity.has-value .quantity-text,
.quantity.has-value .quantity-down {
    display: inline-block;
}

.skill-navigation{
    flex: 1;
}
.skill-navigation img{
    width: 35px;
    height: 35px;
    margin-bottom: 2px;
}
.order-hall{
    width: 100px;
    background:
            url("../img/icon-order.png") no-repeat 60px 40px / 50px auto,
            linear-gradient(45deg, #011166, #31429c);
    background-repeat: no-repeat;
    color: #FFFFFF;
}
.order-hall:hover,
.order-hall:focus{
    color: #FFFFFF;
}

.sidebar-toggle {
    display: none;
}
.sidenav {
    width: 270px;
    margin-right: 30px;
    padding: 20px 0 10px 0;
    margin-bottom: 0;
    height: 100vh;
    font-size: 15px;
}
.sidenav .list-group .list-group-item > a {
    padding: 15px 15px 15px 35px;
}
.sidenav .list-group .list-group-item.active {
    border-left: 2px solid transparent;
}
.sidenav .list-group .list-group-item.active > a {
    color: #7753ff;
    font-weight: bold;
}
.sidenav .list-group .list-group-item.active > a:after {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    width: 5px;
    height: 20px;
    margin-top: -10px;
    border-radius: 5px;
    background: #7753ff;
}
@media (max-width: 991px) {
    .sidebar{
        display: none;
    }
    .sidenav {
        position: fixed;
        top: 0;
        z-index: 1029;
        height: 100vh;
        padding: 20px 0 20px 0;
        min-width: 250px;
        overflow-y: auto;
        overflow-x: hidden;
        width: 250px;
        left: -250px;
        -webkit-transition: all 0.3s ease;
        -moz-transition: all 0.3s ease;
        -o-transition: all 0.3s ease;
        transition: all 0.3s ease;
    }
    .sidebar-toggle {
        display: block;
        position: fixed;
        right: 20px;
        bottom: 70px;
        border-radius: 50%;
        background: #eee;
        font-size: 22px;
        padding: 10px;
        line-height: 30px;
        height: 50px;
        width: 50px;
        text-align: center;
        z-index: 999999;
    }
}
body.sidebar-open .sidenav {
    left: 0;
    width: 250px;
    box-shadow: 0 6px 27px rgba(0, 0, 0, 0.075);
}
body.sidebar-open .sidebar-toggle i:before {
    content: "\f00d";
}